#ifndef SHORTESTPATH_H_
#define SHORTESTPATH_H_


//
// Include the C standard library header file here
//


#include <stdio.h>


//
// Other header files are included here
//



//
// Define the data structure here
//



#define MAX  		100000000		// Denotes the direct connection between two vertices, denoted by MAX in the adjacency matrix
#define VERTEXNUM 	6       // Vertex number

typedef struct GraphMatrix{
	int  Arcs[VERTEXNUM][VERTEXNUM];      // Edge information
}GraphMatrix;

typedef struct ShortPath{
	int a[VERTEXNUM][VERTEXNUM];      	  // Store the shortest path length between each pair of vertices
	int nextvex[VERTEXNUM][VERTEXNUM];    // The subscript of Vi's subsequent vertices on the shortest path from Vi to Vj
}ShortPath;


//
// Declare the function here
//


void Floyd(GraphMatrix* pGraph, ShortPath* pPath);

void OutputResult(ShortPath* pPath);


//
// Declare global variables here
//

extern ShortPath SPath;


#endif /* SHORTESTPATH_H_ */

