﻿# 阅读实验源代码
**main.c文件**   
在 main 函数中首先初始化了图，然后调用Floyd函数查找图中最短路径。   
在main函数的后面，定义了图的最短路径查找函数Floyd，该函数的函数体还不完整，留给读者完成。   
**ShortestPath.h文件**   
定义了与图相关的数据结构并声明了相关的操作函数和全局变量。   
# 在演示模式下调试项目
**按照下面的步骤调试项目：**
1.	按F7生成项目。
2.	在演示模式下，按F5启动调试项目。程序会在观察点函数的开始位置中断。
3.	重复按F5，直到调试过程结束。

在调试的过程中，每执行“演示流程”窗口中的一行后，仔细观察“可视化数据”窗口内容所发生的变化，理解查找最短路径函数的执行过程。“可视化数据”窗口显示的数据信息（如下图所示），包括：
-	游标 k。用来显示迭代计算最短路径的过程。
-	图的邻接矩阵。矩阵中的值表示顶点之间的距离。
-	存放每对顶点间最短路径长度的二维数组，以及Vi到Vj最短路径上Vi的后继顶点下标值的二维数组，如果对应的当前值与上一次不相同，用红色的字体显示。
-	在图中，分别显示了从某一个顶点（该顶点的边框是红色的双圆环）到各个顶点之间的最短路径，这些顶点之间用红色的边连接；未加入顶点的填充色为灰色，已加入顶点的填充色为白色。

![](./img/20_1.png)
![](./img/20_2.png)

# 编写源代码并通过验证
**按照下面的步骤继续实验：**
1.	为Floyd函数编写源代码。注意，尽量使用已定义的局部变量。
2.	按F7生成项目。如果生成失败，根据“输出”窗口中的提示信息修改源代码中的语法错误。
3.	按Alt+F5启动验证。如果验证失败，可以使用“输出”窗口中的“比较”功能，或者在“非演示模式”下按F5启动调试后重复按F10单步调试读者编写的源代码，从而定位错误的位置，然后回到步骤1。

# 教师参考答案
访问教师参考答案[domain relative url](engintime/ds-lab/teachers-packet/Lab020.git)